[med-svn] [Git][med-team/centrifuge][master] 8 commits: Add autopkgtests

Nilesh Patra gitlab at salsa.debian.org
Mon Aug 24 13:53:25 BST 2020



Nilesh Patra pushed to branch master at Debian Med / centrifuge


Commits:
36dbd8fd by Nilesh Patra at 2020-08-24T12:38:36+00:00
Add autopkgtests

- - - - -
a5fa16b2 by Nilesh Patra at 2020-08-24T18:18:12+05:30
Remove empty

- - - - -
05a2f649 by Nilesh Patra at 2020-08-24T18:19:05+05:30
Update changelog

- - - - -
4ec28ecb by Nilesh Patra at 2020-08-24T18:19:21+05:30
routine-update: Standards-Version: 4.5.0

- - - - -
b422a810 by Nilesh Patra at 2020-08-24T18:19:22+05:30
routine-update: debhelper-compat 13

- - - - -
8ecfce23 by Nilesh Patra at 2020-08-24T18:19:39+05:30
routine-update: Remove trailing whitespace in debian/rules

- - - - -
ea205413 by Nilesh Patra at 2020-08-24T18:19:39+05:30
routine-update: Add salsa-ci file

- - - - -
d01c7f75 by Nilesh Patra at 2020-08-24T18:19:39+05:30
routine-update: Rules-Requires-Root: no

- - - - -


6 changed files:

- debian/changelog
- debian/control
- debian/rules
- + debian/salsa-ci.yml
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,19 @@
+centrifuge (1.0.3-4) UNRELEASED; urgency=medium
+
+  [ Steffen Möller ]
+  * Added ref to conda
+
+  [ Nilesh Patra ]
+  * Add autopkgtests
+  * Remove empty
+  * Standards-Version: 4.5.0 (routine-update)
+  * debhelper-compat 13 (routine-update)
+  * Remove trailing whitespace in debian/rules (routine-update)
+  * Add salsa-ci file (routine-update)
+  * Rules-Requires-Root: no (routine-update)
+
+ -- Nilesh Patra <npatra974 at gmail.com>  Mon, 24 Aug 2020 18:18:47 +0530
+
 centrifuge (1.0.3-3) unstable; urgency=medium
 
   * Use 2to3 to port to Python3


=====================================
debian/control
=====================================
@@ -3,15 +3,16 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
 Uploaders: Andreas Tille <tille at debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
                hisat2,
                jellyfish
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/centrifuge
 Vcs-Git: https://salsa.debian.org/med-team/centrifuge.git
 Homepage: https://ccb.jhu.edu/software/centrifuge/
+Rules-Requires-Root: no
 
 Package: centrifuge
 Architecture: any


=====================================
debian/rules
=====================================
@@ -29,3 +29,4 @@ override_dh_install:
 	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 	rm -rf debian/*/usr/lib/centrifuge/share/centrifuge/doc
+	find debian -name manual.inc.html | xargs rm -rf


=====================================
debian/salsa-ci.yml
=====================================
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -e
+
+pkg=centrifuge
+CUR_DIR=`pwd`
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+#cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+cp ${CUR_DIR}/example/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+echo 'Test 1'
+centrifuge-build --conversion-table reference/gi_to_tid.dmp --taxonomy-tree reference/nodes.dmp --name-table reference/names.dmp reference/test.fa test
+for f in *.cf
+do
+	[ -s $f ] || exit 1
+done
+echo "PASS"
+
+echo 'Test 2'
+centrifuge -f -x test reads/input.fa
+cat *.tsv
+echo "PASS"



View it on GitLab: https://salsa.debian.org/med-team/centrifuge/-/compare/7effbe1c1a999c51968dfad605b48aba552287cb...d01c7f75d38ccb22e915840f519c746ffe4ab3c9

-- 
View it on GitLab: https://salsa.debian.org/med-team/centrifuge/-/compare/7effbe1c1a999c51968dfad605b48aba552287cb...d01c7f75d38ccb22e915840f519c746ffe4ab3c9
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200824/8eed4e43/attachment-0001.html>


More information about the debian-med-commit mailing list